# Class TransportTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.sun.jdi.connect.TransportTimeoutException

All Implemented Interfaces:
  `Serializable`

public class TransportTimeoutException extends IOException
This exception may be thrown as a result of a timeout when attaching to a target VM, or waiting to accept a connection from a target VM.

When attaching to a target VM, using `attach` this exception may be thrown if the connector supports a timeout `connector argument`. Similarly, when waiting to accept a connection from a target VM, using `accept` this exception may be thrown if the connector supports a timeout connector argument when accepting.

In addition, for developers creating `TransportService` implementations this exception is thrown when `attach` times out when establishing a connection to a target VM, or `accept` times out while waiting for a target VM to connect.

Since:
  1.5
See Also:
  - `AttachingConnector.attach(Map)`
  - `ListeningConnector.accept(Map)`
  - `TransportService.attach(String, long, long)`
  - `TransportService.accept(TransportService.ListenKey, long, long)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransportTimeoutException()`
  Constructs a `TransportTimeoutException` with no detail message.
  `TransportTimeoutException(String message)`
  Constructs a `TransportTimeoutException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransportTimeoutException

    public TransportTimeoutException()
    Constructs a `TransportTimeoutException` with no detail message.

  - ### TransportTimeoutException

    public TransportTimeoutException(String message)
    Constructs a `TransportTimeoutException` with the specified detail message.
    Parameters:
      `message` - the detail message pertaining to this exception.